#version 330 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexPos;
layout (std140) uniform Matrices
{
	mat4 projection;
	mat4 view;
};

out vec3 pos;
out vec2 texPos;

uniform mat4 model;

void main()
{
	pos = aPos;
	texPos = aTexPos;
	gl_Position = projection * view * model * vec4(aPos, 1.0);
}
